FASTA_SUBGREP(1)

NAME
fasta_subgrep.pl - Extract subsequence from a (multi) Fasta file

SYNOPSIS
fasta_subgrep.pl [--fa FILE] [-s INT] [-e INT] [-id STRING] [--strand +/-]

DESCRIPTION
Extract a subsequence from a (multi) Fasta file. Interval coordinates are passed as start and end coordinates via the "-s" and "-e" options, respectively. Output is written to STDOUT.

OPTIONS

-f|--fa
    Input file in Fasta format (mandatory)

-s|--start
    Start of the sequence interval to extract

-e|--end
    End of the sequence interval to extract

--id
    Fasta ID of the sequence to extract from. This is only required for multi Fasta input files.

--strand
    Specify the strand to extract sequence data from. Allowed arguments are "+" amd "-". In the latter case, retrieve reverse complement of the sequence interval from "start" to "end".

--help -h
    Print short help

--man
    Prints the manual page and exits

AUTHOR
Michael T. Wolfinger <michael@wolfinger.eu>